LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices

Reply
 
Search this Thread
Old 02-03-2010, 11:59 AM   #1
golgo
Member
 
Registered: Mar 2009
Posts: 53

Rep: Reputation: 15
im having trouble installing battle for wesnoth in ubuntu 9.10 help


hello i try to install battle for wesnoth im using ubuntu 9.10 and this is what it comes out when i run it on terminal:

daniel@ubuntu:~$ sudo apt-get install wesnoth
[sudo] password for daniel:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wesnoth: Depends: wesnoth-core (>= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-core (< 1:1.6.5-1.~) but it is not going to be installed
Depends: wesnoth-httt (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-tsg (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-trow (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-ttb (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-ei (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-utbs (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-did (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-nr (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-sof (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-sotbe (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-l (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-aoi (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-thot (= 1:1.6.5-1) but it is not going to be installed
Depends: wesnoth-low (= 1:1.6.5-1) but it is not going to be installed
E: Broken packages
daniel@ubuntu:~$
 
Old 02-03-2010, 12:48 PM   #2
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 3,908

Rep: Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044
Try this first:

Code:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install wesnoth-core
Does that solve the problem?
 
Old 02-04-2010, 11:10 AM   #3
golgo
Member
 
Registered: Mar 2009
Posts: 53

Original Poster
Rep: Reputation: 15
this comes out when i put the commands on the terminal:

daniel@ubuntu:~$ sudo apt-get install wesnoth-core
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
wesnoth-core: Depends: libboost-iostreams1.38.0 (>= 1.38.0-1) but it is not installable
Depends: libboost-regex1.38.0 (>= 1.38.0-1) but it is not installable
E: Broken packages
daniel@ubuntu:~$
 
Old 02-04-2010, 11:19 AM   #4
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 3,908

Rep: Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044Reputation: 1044
You forgot to do:

Code:
sudo apt-get update
sudo apt-get upgrade
first, like I suggested in post #2.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Review: Battle for Wesnoth 1.6 LXer Syndicated Linux News 0 03-25-2009 03:41 AM
LXer: The Battle For Wesnoth Game Review LXer Syndicated Linux News 0 10-26-2007 03:40 PM
Battle for Wesnoth paul_mat Linux - Software 2 06-04-2006 10:17 PM
Battle for Wesnoth zoli_stir Linux - Games 2 06-01-2006 12:09 PM
LXer: Battle for Wesnoth review LXer Syndicated Linux News 0 04-13-2006 09:33 AM


All times are GMT -5. The time now is 01:10 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration